extern char *serial_port;
extern void error_dialog(char *fmt,...);
extern void update_status(char *st);
extern void update_progress(float f);
struct Image {
char image_type[100];
int image_size;
int image_info_size;
unsigned char *image;
};

typedef int             (*_initialize)                  ();
typedef struct Image*   (*_get_picture)                 (int,int);
typedef struct Image*   (*_get_preview)                 ();
typedef int             (*_delete_picture)              (int);
typedef int             (*_take_picture)                ();
typedef int             (*_number_of_pictures)          ();
typedef int             (*_configure)                   ();
typedef char*           (*_summary)                     ();
typedef char*           (*_description)                 ();

struct _Camera {
        _initialize     initialize;
        _get_picture    get_picture;
        _get_preview    get_preview;
        _delete_picture delete_picture;
        _take_picture   take_picture;
        _number_of_pictures number_of_pictures;
        _configure      configure;
        _summary        summary;
        _description    description;
};


/*
 * a.h:
 *
 * Copyright (c) 2000 James McKenzie <james@fishsoup.dhs.org>.
 *
 *  By using this file, you agree to the terms and conditions set
 *  forth in the LICENCE file which can be found at the top level directory.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * $Id: gphoto.h,v 1.1 2000/02/17 15:28:55 root Exp $
 *
 * $Log: gphoto.h,v $
 * Revision 1.1  2000/02/17 15:28:55  root
 * #
 *
 *
 */

#ifndef __A_H_ /* include guard */
#define __A_H_

#endif /* __A_H_ */
